Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper.id
Class SingleIdMapper

    java.lang.Object
      org.hibernate.envers.entities.mapper.id.AbstractIdMapper
          org.hibernate.envers.entities.mapper.id.SingleIdMapper

All Implemented Interfaces:
  IdMapper, SimpleIdMapperBuilder, SimpleMapperBuilder

    public class SingleIdMapper

extends AbstractIdMapper
implements SimpleIdMapperBuilder

Constructor Summary
`SingleIdMapper()`
`SingleIdMapper(PropertyData propertyData)`

Method Summary
`void` | `add(PropertyData propertyData)`
`void` | `mapToEntityFromEntity(Object objTo, Object objFrom)`
`boolean` | `mapToEntityFromMap(Object obj, Map data)`
`Object` | `mapToIdFromEntity(Object data)`
`Object` | `mapToIdFromMap(Map data)`
`void` | `mapToMapFromEntity(Map<String,Object> data, Object obj)`
`void` | `mapToMapFromId(Map<String,Object> data, Object obj)`
`List<QueryParameterData>` | `mapToQueryParametersFromId(Object obj)`
`IdMapper` | `prefixMappedProperties(String prefix)` Creates a mapper with all mapped properties prefixed.

Methods inherited from class org.hibernate.envers.entities.mapper.id.AbstractIdMapper
`addIdEqualsToQuery, addIdsEqualToQuery, addIdsEqualToQuery, addNamedIdEqualsToQuery`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.envers.entities.mapper.id.IdMapper
`addIdEqualsToQuery, addIdsEqualToQuery, addIdsEqualToQuery, addNamedIdEqualsToQuery`

Constructor Detail

### SingleIdMapper

    public SingleIdMapper()

### SingleIdMapper

    public SingleIdMapper(PropertyData propertyData)

Method Detail

### add

    public void add(PropertyData propertyData)

  Specified by:
    `add` in interface `SimpleMapperBuilder`

### mapToEntityFromMap

    public boolean mapToEntityFromMap(Object obj,
                                      Map data)

  Specified by:
    `mapToEntityFromMap` in interface `IdMapper`
  Parameters:
    `obj` - Object to map to.
    `data` - Data to map.
  Returns:
    True if data was mapped; false otherwise (when the id is `null`).

### mapToIdFromMap

    public Object mapToIdFromMap(Map data)

  Specified by:
    `mapToIdFromMap` in interface `IdMapper`

### mapToIdFromEntity

    public Object mapToIdFromEntity(Object data)

  Specified by:
    `mapToIdFromEntity` in interface `IdMapper`

### mapToMapFromId

    public void mapToMapFromId(Map<String,Object> data,
                               Object obj)

  Specified by:
    `mapToMapFromId` in interface `IdMapper`

### mapToMapFromEntity

    public void mapToMapFromEntity(Map<String,Object> data,
                                   Object obj)

  Specified by:
    `mapToMapFromEntity` in interface `IdMapper`

### mapToEntityFromEntity

    public void mapToEntityFromEntity(Object objTo,
                                      Object objFrom)

### prefixMappedProperties

    public IdMapper prefixMappedProperties(String prefix)

  Description copied from interface: `IdMapper`
  Creates a mapper with all mapped properties prefixed. A mapped property is a property which is directly mapped to values (not composite).

  Specified by:
    `prefixMappedProperties` in interface `IdMapper`
  Parameters:
    `prefix` - Prefix to add to mapped properties
  Returns:
    A copy of the current property mapper, with mapped properties prefixed.

### mapToQueryParametersFromId

    public List<QueryParameterData> mapToQueryParametersFromId(Object obj)

  Specified by:
    `mapToQueryParametersFromId` in interface `IdMapper`
  Parameters:
    `obj` - Id from which to map.
  Returns:
    A set parameter data, needed to build a query basing on the given id.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.